# TODO: -Dqmi_username=???
#
# Conditional build:
%bcond_without	apidocs	# (gtk-doc based) API documentation

Summary:	GLib library for talking to WWAN modems and devices using QMI protocol
Summary(pl.UTF-8):	Biblioteka GLib do komunikacji z modemami i urządzeniami WWAN z użyciem protokołu QMI
Name:		libqmi
Version:	1.34.0
Release:	1
License:	LGPL v2+
Group:		Libraries
#Source0Download: https://gitlab.freedesktop.org/mobile-broadband/libqmi/-/tags
Source0:	https://gitlab.freedesktop.org/mobile-broadband/libqmi/-/archive/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	677b5d1ab763a7b7285b82d1798ff93d
URL:		https://www.freedesktop.org/wiki/Software/libqmi/
BuildRequires:	bash-completion-devel >= 1:2.0
BuildRequires:	glib2-devel >= 1:2.56
%if %(locale -a | grep -q '^C\.utf8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	gobject-introspection-devel >= 0.9.6
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	help2man
BuildRequires:	libgudev-devel >= 232
BuildRequires:	libmbim-devel >= 1.18.0
BuildRequires:	libqrtr-glib-devel >= 1.0.0
BuildRequires:	linux-libc-headers >= 7:4.15
BuildRequires:	meson >= 0.53.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
Requires:	glib2 >= 1:2.56
Requires:	libgudev >= 232
Requires:	libmbim >= 1.18.0
Requires:	libqrtr-glib >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libqmi is a GLib library for talking to WWAN modems and devices which
speak the Qualcomm MSM Interface (QMI) protocol.

%description -l pl.UTF-8
libqmi to biblioteka GLib do komunikacji z modemami i urządzeniami
WWAN, obsługującymi protokół QMI (Qualcomm MSM Interface).

%package devel
Summary:	Header files for libqmi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libqmi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.56
Requires:	libmbim-devel >= 1.18.0
Requires:	libqrtr-glib-devel >= 1.0.0

%description devel
Header files for libqmi library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libqmi.

%package static
Summary:	Static libqmi library
Summary(pl.UTF-8):	Statyczna biblioteka libqmi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libqmi library.

%description static -l pl.UTF-8
Statyczna biblioteka libqmi.

%package apidocs
Summary:	libqmi API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libqmi
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
API documentation for libqmi library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libqmi.

%package -n bash-completion-libqmi
Summary:	Bash completion for qmictl command
Summary(pl.UTF-8):	Bashowe dopełnianie składni polecenia qmictl
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-libqmi
Bash completion for qmictl command.

%description -n bash-completion-libqmi -l pl.UTF-8
Bashowe dopełnianie składni polecenia qmictl.

%prep
%setup -q

%build
%meson build \
	%{?with_apidocs:-Dgtk_doc=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md TODO
%attr(755,root,root) %{_bindir}/qmi-firmware-update
%attr(755,root,root) %{_bindir}/qmi-network
%attr(755,root,root) %{_bindir}/qmicli
%attr(755,root,root) %{_libdir}/libqmi-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqmi-glib.so.5
%{_libdir}/girepository-1.0/Qmi-1.0.typelib
%attr(755,root,root) %{_libexecdir}/qmi-proxy
%{_mandir}/man1/qmi-firmware-update.1*
%{_mandir}/man1/qmi-network.1*
%{_mandir}/man1/qmicli.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqmi-glib.so
%{_includedir}/libqmi-glib
%{_datadir}/gir-1.0/Qmi-1.0.gir
%{_pkgconfigdir}/qmi-glib.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libqmi-glib.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libqmi-glib
%endif

%files -n bash-completion-libqmi
%defattr(644,root,root,755)
%{bash_compdir}/qmicli
%changelog
* Tue Oct 31 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libqmi.git;a=log;h=master

* Tue Oct 31 2023 Jan Palus <atler@pld-linux.org> a063515
- BR: bash-completion-devel

* Tue Oct 31 2023 Jakub Bogusz <qboosh@pld-linux.org> 74c51cf
- updated to 1.34.0

* Sat Apr 01 2023 Jakub Bogusz <qboosh@pld-linux.org> d02f517
- new Source URL, updated to 1.32.4; uses meson now

* Sat Aug 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 72f1190
- updated to 1.30.8

* Sat Sep 18 2021 Jakub Bogusz <qboosh@pld-linux.org> cd5fa6b
- updated to 1.30.2

* Tue Aug 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 8be72b4
- updated to 1.30.0

* Thu Jun 10 2021 Jakub Bogusz <qboosh@pld-linux.org> f4274fb
- updated to 1.28.6

* Sat Mar 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 99a846c
- updated to 1.28.2

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 5a24685
- unconditional noarch subpackages

* Sun Jan 10 2021 Jakub Bogusz <qboosh@pld-linux.org> d33ab80
- updated to 1.26.8

* Fri Oct 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 0607124
- updated to 1.26.6

* Sat Aug 29 2020 Jakub Bogusz <qboosh@pld-linux.org> fba3701
- updated to 1.26.4

* Mon Jul 06 2020 Jakub Bogusz <qboosh@pld-linux.org> ec0732e
- updated to 1.26.0
- enable qrtr experimental library (BR: kernel 4.15+ headers)

* Fri May 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 59e357e
- updated to 1.24.12

* Fri May 08 2020 Jakub Bogusz <qboosh@pld-linux.org> dc5e3f0
- updated to 1.24.10
- noarch bash-completion

* Mon Feb 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 8974430
- updated to 1.24.4

* Sat Dec 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 1816a22
- updated to 1.24.2

* Tue Oct 01 2019 Jakub Bogusz <qboosh@pld-linux.org> 1d8ac08
- updated to 1.24.0

* Wed May 08 2019 Jakub Bogusz <qboosh@pld-linux.org> ad661ee
- updated to 1.22.4

* Wed Mar 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 45b5457
- updated to 1.22.2

